## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Disable tests everywhere since the latest version requires docker
# for testing.
%bcond_with     tests

%global         srcname     azure-data-tables

Name:           python-%{srcname}
Version:        12.4.0
Release:        %autorelease
Summary:        Microsoft Azure Azure Data Tables Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
# NOTE(mhayden): Upstream does not include some of the testing VCR cassettes in their
# code released to PyPi because it makes their archive really large. Because of this,
# about half of the tests fail. 😭
# This source comes from making a git archive of the main azure-sdk-for-python
# repository. To reproduce the source code, run these commands:
#
#   git clone https://github.com/azure/azure-sdk-for-python
#   cd azure-sdk-for-python
#   export VERSION=12.4.0
#   git archive --format tar.gz --prefix=azure-data-tables-${VERSION}/ azure-data-tables_${VERSION}:sdk/tables/azure-data-tables \
#     > azure-data-tables-$VERSION.tgz
#
Source0:        azure-data-tables-12.4.0.tgz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-mgmt-cosmosdb)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Azure Data Tables Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): The tests which require network access carry the "live_test_only"
# marker and we skip those here. It's only about 5-10% of the total tests.
%pytest -m "not live_test_only" --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md samples/


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 12.4.0-12
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 12.4.0-8
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 12.4.0-7
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 12.4.0-6
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Major Hayden <major@redhat.com> - 12.4.0-3
- Add pyproject_check_import

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 12.4.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 12.4.0-1
- Update to 12.4.0

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 12.2.0-3
- Fix typo

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> - 12.2.0-2
- Skip tests in EPEL 9 temporarily

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 12.2.0-1
- Initial import (#2072531)
## END: Generated by rpmautospec
